安装gensim

mac2022-09-23  5

其实很多博客都说了,可惜自己就是不听话

(1)安装numpy, scipy, gensim  【一定按照这个顺序安装】

(2)版本一定要对应

(3)我不知道是不是因为这个原因出错,我检查了好几遍,感觉版本也是对的,什么都是对的

然后有个文章写道要安装 numpy+mkl

于是,我把numpy, scipy, gensim全部卸载, 并且我不再直接pip install numpy

去:https://www.lfd.uci.edu/~gohlke/pythonlibs/#

下载:

numpy‑1.17.3+mkl‑cp38‑cp38‑win_amd64.whl

scipy‑1.3.1‑cp38‑cp38‑win_amd64.whl

gensim‑3.8.1‑cp38‑cp38‑win_amd64.whl

注:这是我的版本,你根据自己的版本下载

并且numpy, scipy, gensim 全部从 https://www.lfd.uci.edu/~gohlke/pythonlibs/# 下载后采用 pip install ***.whl的方法

含泪解决!

最新回复(0)